Subject: Re: bug#59338: 29.0.50; Commit 1a2d603bb3 breaks Eglot on Windows

From: Eli Zaretskii <[email-masked]>
Date: Fri, 18 Nov 2022 09:14:18 +0200

> From: Augusto Stoffel <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  Arash Esbati <[email-masked]>,
>   [email-masked],  [email-masked]
> Date: Thu, 17 Nov 2022 18:12:05 -0500
> 
> On Thu, 17 Nov 2022 at 17:27, Danny Freeman wrote:
> 
> I also think that calling `url-generic-parse-url' might be overkill
> here.  Based on
> https://en.wikipedia.org/wiki/Uniform_Resource_Identifier#Syntax I would
> just test if `path' matches "\\`[A-Za-z][+.0-9A-Za-z-]+:".

Not sure I understand why this matters in the context of this
discussion.  We need to make eglot--path-to-uri produce valid file://
URL on MS-Windows and on Posix systems, right?  Then why does it
matter how URI schema are defined?  What am I missing?